Probleme ssh et boot EFI suite a migration de Stretch a Buster

Demande d'aide : c'est ici.
Répondre
CopCoben
Messages : 2
Enregistré le : 05 sept. 2019, 00:33
Status : Hors ligne

05 sept. 2019, 00:39

Bonjour a tous,

Je parcours les forums depuis 2 jours pour trouver solution a mon problème qui à l'air d'etre un double problème plutôt.

J'ai upgradé ma distribution stretch en buster et depuis impossible de se connecter en ssh ou de faire un upgrade.

Voici les resultats de différentes commandes que j'ai lancées .

Merci d'avance pour votre aide !
Mon noyaux : Linux Fractal 4.19.0-5-amd64 #1 SMP Debian 4.19.37-5+deb10u2 (2019-08-08) x86_64 GNU/Linux

Code : Tout sélectionner

benoit@Fractal:~$ systemctl status sshd
● ssh.service - OpenBSD Secure Shell server
   Loaded: loaded (/lib/systemd/system/ssh.service; enabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Wed 2019-09-04 23:53:25 CEST; 9min ago
     Docs: man:sshd(8)
           man:sshd_config(5)
  Process: 669 ExecStartPre=/usr/sbin/sshd -t (code=exited, status=255/EXCEPTION)
benoit@Fractal:~$ 

Code : Tout sélectionner

benoit@Fractal:~$ systemctl status openssh
Unit openssh.service could not be found.
benoit@Fractal:~$ sudo apt-get update
Atteint :1 http://ftp.fr.debian.org/debian buster InRelease
Atteint :2 http://security.debian.org/debian-security buster/updates InRelease                                          
Ign :3 http://dl.google.com/linux/chrome/deb stable InRelease                                                           
Atteint :4 http://ftp.fr.debian.org/debian buster-updates InRelease   
Atteint :5 http://dl.google.com/linux/chrome/deb stable Release
Lecture des listes de paquets... Fait
benoit@Fractal:~$ 

Code : Tout sélectionner

benoit@Fractal:~$ sudo apt-get upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
3 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Paramétrage de openssh-server (1:7.9p1-10) ...
rescue-ssh.target is a disabled or a static unit, not starting it.
Job for ssh.service failed because the control process exited with error code.
See "systemctl status ssh.service" and "journalctl -xe" for details.
invoke-rc.d: initscript ssh, action "restart" failed.
● ssh.service - OpenBSD Secure Shell server
   Loaded: loaded (/lib/systemd/system/ssh.service; enabled; vendor preset: enabled)
   Active: activating (auto-restart) (Result: exit-code) since Thu 2019-09-05 00:04:06 CEST; 10ms ago
     Docs: man:sshd(8)
           man:sshd_config(5)
  Process: 3310 ExecStartPre=/usr/sbin/sshd -t (code=exited, status=255/EXCEPTION)
dpkg: erreur de traitement du paquet openssh-server (--configure) :
 installed openssh-server package post-installation script subprocess returned error exit status 1
Paramétrage de shim-signed-common (1.33+15+1533136590.3beb971-7) ...
Installation pour la plate-forme x86_64-efi.
grub-install : attention : Cannot set EFI variable Boot0000.
grub-install : attention : efivarfs_set_variable: writing to fd 8 failed: Aucun espace disponible sur le périphérique.
grub-install : attention : _efi_set_variable_mode: ops->set_variable() failed: Aucun espace disponible sur le périphérique.
grub-install : erreur : failed to register the EFI boot entry: Aucun espace disponible sur le périphérique.
dpkg: erreur de traitement du paquet shim-signed-common (--configure) :
 installed shim-signed-common package post-installation script subprocess returned error exit status 1
dpkg: des problèmes de dépendances empêchent la configuration de shim-signed:amd64 :
 shim-signed:amd64 dépend de shim-signed-common (= 1.33+15+1533136590.3beb971-7) ; cependant :
 Le paquet shim-signed-common n'est pas encore configuré.

dpkg: erreur de traitement du paquet shim-signed:amd64 (--configure) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 openssh-server
 shim-signed-common
 shim-signed:amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
benoit@Fractal:~$ 
Avatar du membre
piratebab
Site Admin
Site Admin
Messages : 2940
Enregistré le : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors ligne

06 sept. 2019, 09:00

Bonjour,
il y a trop de questions et d'infos, on va se focaliser sur ton probléme de openssh.
Donne le résultat d'un

Code : Tout sélectionner

#apt install openssh-server
CopCoben
Messages : 2
Enregistré le : 05 sept. 2019, 00:33
Status : Hors ligne

06 sept. 2019, 09:13

Merci pour cette réponse mais j'ai réinstallé tout le système, j'avais trop d'erreur....
Répondre